Package com.sun.j3d.utils.picking.behaviors

# Interface PickingCallback

public interface PickingCallback
The PickingCallback interface allows a class to be notified when a picked object is moved. The class that is interested in object movement implements this interface, and the object created with that class is registered with the desired subclass of PickMouseBehavior using the `setupCallback` method. When the picked object moves, the registered object's `transformChanged` method is invoked.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_PICK`
The user made a selection but nothing was actually picked
`static final int`
`ROTATE`
`static final int`
`TRANSLATE`
`static final int`
`ZOOM`

## Method Summary

Modifier and Type
Method
Description
`void`
`transformChanged(int type, TransformGroup tg)`
Called by the Pick Behavior with which this callback is registered each time the Picked object is moved

## Field Details

### ROTATE

static final int ROTATE

See Also:
  - Constant Field Values

### TRANSLATE

static final int TRANSLATE

See Also:
  - Constant Field Values

### ZOOM

static final int ZOOM

See Also:
  - Constant Field Values

### NO_PICK

static final int NO_PICK
The user made a selection but nothing was actually picked

See Also:
  - Constant Field Values

## Method Details

### transformChanged

void transformChanged(int type, TransformGroup tg)
Called by the Pick Behavior with which this callback is registered each time the Picked object is moved